Views

Views: 5 operations of the ChaosDesk REST API.

Retrieves the collection of View resources.

GET/api/views

Responses

  • 200View collection
  • 403Forbidden

Example request

curl -X GET "https://yourcompany.chaosdesk.io/api/views" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"

Creates a View resource.

POST/api/views

Request body application/json

sharedboolean | null
Write-only switch: false makes it personal to the current agent (set by PersonalRuleProcessor).
conditionsobject
columnsstring[]
table columns, e.g. ["status","subject","requester","updated_at","assignee","priority"]
sort_bystring
sort_orderstring
group_bystring | null
Zendesk "Group by" (execution.group_by): status, priority, type, group, assignee, requester, organization, brand, form or "custom_fields.<key>" of a drop-down field; null = not grouped.
group_orderstring
titlestringrequired
descriptionstring | null
activeboolean
positioninteger
restricted_groupsstring (iri-reference)[]

Responses

  • 201View resource created
  • 400Invalid input
  • 403Forbidden
  • 422An error occurred

Example request

curl -X POST "https://yourcompany.chaosdesk.io/api/views" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"title":"string"}'

Retrieves a View resource.

GET/api/views/{id}

Parameters

idstringpathrequired
View identifier

Responses

  • 200View resource
  • 403Forbidden
  • 404Not found

Example request

curl -X GET "https://yourcompany.chaosdesk.io/api/views/{id}" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"

Updates the View resource.

PATCH/api/views/{id}

Parameters

idstringpathrequired
View identifier

Request body application/merge-patch+json

sharedboolean | null
Write-only switch: false makes it personal to the current agent (set by PersonalRuleProcessor).
conditionsobject
columnsstring[]
table columns, e.g. ["status","subject","requester","updated_at","assignee","priority"]
sort_bystring
sort_orderstring
group_bystring | null
Zendesk "Group by" (execution.group_by): status, priority, type, group, assignee, requester, organization, brand, form or "custom_fields.<key>" of a drop-down field; null = not grouped.
group_orderstring
titlestring
descriptionstring | null
activeboolean
positioninteger
restricted_groupsstring (iri-reference)[]

Responses

  • 200View resource updated
  • 400Invalid input
  • 403Forbidden
  • 404Not found
  • 422An error occurred

Example request

curl -X PATCH "https://yourcompany.chaosdesk.io/api/views/{id}" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/merge-patch+json" \
  -d '{"shared":false,"conditions":"string"}'

Removes the View resource.

DELETE/api/views/{id}

Parameters

idstringpathrequired
View identifier

Responses

  • 204View resource deleted
  • 403Forbidden
  • 404Not found

Example request

curl -X DELETE "https://yourcompany.chaosdesk.io/api/views/{id}" \
  -H "Authorization: Bearer $CHAOSDESK_TOKEN" \
  -H "Accept: application/json"